GET /v2/parties/:party
curl --request GET \
--url https://api.example.com/v2/parties/{party} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v2/parties/{party}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v2/parties/{party}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"partyDetails": [
{
"party": "<string>",
"isLocal": true,
"localMetadata": {
"resourceVersion": "<string>",
"annotations": {}
},
"identityProviderId": "<string>"
}
]
}"<string>"{
"code": "<string>",
"cause": "<string>",
"context": {},
"errorCategory": 123,
"correlationId": "<string>",
"traceId": "<string>",
"resources": [
[
"<string>"
]
],
"grpcCodeValue": 123,
"retryInfo": "<string>",
"definiteAnswer": true
}GET /v2/parties/:party
Get the party details of the given parties. Only known parties will be returned in the list.
GET
/
v2
/
parties
/
{party}
GET /v2/parties/:party
Authorizations
httpAuthapiKeyAuth
Ledger API standard JWT token
Path Parameters
Response
The details of the requested Daml parties by the participant, if known. The party details may not be in the same order as requested.
Required: must be non-empty
Show child attributes
Show child attributes
Was this page helpful?
⌘I